function features=extractFeatreusFromCyclostationarity(pcg_signal,fs)
%
%

Min_cf=0.5;
Max_cf=3.0;

Len=length(pcg_signal);
step=round(1*fs);
Win=round(5*fs);

if Len<=Win+step
    degree=degree_cycle(pcg_signal,Min_cf,Max_cf,fs);
    features(1,1)=degree;
    features(1,2)=0;
else
    k=0;flag=1;
    while flag==1
        k=k+1;
        ind=(1:Win)+(k-1)*step;
        if ind(end)>Len
            flag=0;
        else
            deg(k,1)=degree_cycle(pcg_signal(ind,1),Min_cf,Max_cf,fs);
        end
    end
    features(1,1)=mean(deg);
    features(1,2)=std(deg);
end