function     featureSpectrum  = extractFeaturesFromSpectrum(assigned_states,pcg_signal)
% S1 S2   Ƶ
%

nfft=100;

%%
indx = find(abs(diff(assigned_states))>0); % find the locations with changed states
if assigned_states(1)>0   % for some recordings, there are state zeros at the beginning of assigned_states
    switch assigned_states(1)
        case 4
            K=1;
        case 3
            K=2;
        case 2
            K=3;
        case 1
            K=4;
    end
else
    switch assigned_states(indx(1)+1)
        case 4
            K=1;
        case 3
            K=2;
        case 2
            K=3;
        case 1
            K=0;
    end
    K=K+1;
end

indx2                = indx(K:end);
rem                  = mod(length(indx2),4);
indx2(end-rem+1:end) = [];
A                    = reshape(indx2,4,length(indx2)/4)'; % A is N*4 matrix, the 4 columns save the beginnings of S1, systole, S2 and diastole in the same heart cycle respectively
%%
for i=1:size(A,1)-1
    signal_Sys=pcg_signal(A(i,2):A(i,3),1);
    signal_Dia=pcg_signal(A(i,4):A(i+1,1),1);
    signal_S1=pcg_signal(A(i,1):A(i,2),1);
    signal_S2=pcg_signal(A(i,3):A(i,4),1);
    
    Spectrum_Sys(i,:)=abs(fft(signal_Sys,nfft));
    Spectrum_Dia(i,:)=abs(fft(signal_Dia,nfft));
    Spectrum_S1(i,:)=abs(fft(signal_S1,nfft));
    Spectrum_S2(i,:)=abs(fft(signal_S2,nfft));
    
    clear signal_Sys signal_Dia signal_S1 signal_S2 ;
end

mSpectrum_Sys=mean(Spectrum_Sys);
mSpectrum_Dia=mean(Spectrum_Dia);
mSpectrum_S1=mean(Spectrum_S1);
mSpectrum_S2=mean(Spectrum_S2);

featureSpectrum=[mSpectrum_S1(2:13) mSpectrum_S2(2:13) mSpectrum_Sys(2:30) mSpectrum_Dia(2:30)];
