set -e
set -o pipefail

echo "==== running setup script ===="

bash setup.sh

echo "==== running entry script on validation set ===="

rm -f answers.txt

if parallel -k </dev/null>/dev/null 2>/dev/null; then
     parallel -k --halt=1 < validation/RECORDS \
  	echo {} \; ln -s validation/{}.wav . \; ./next.sh {}
else
     for r in `cat validation/RECORDS`; do
	echo $r
	ln -sf validation/$r.wav .
	bash next.sh $r
     done
fi
