function    featuresEnergy  = extractFeaturesFromEnergy(assigned_states,pcg_signal)
% ֵֵ׼
%

Total_energy=sum(pcg_signal.^2);
% ռֵ
m_ratio_energy_SysTotal=sum(pcg_signal((assigned_states==2)).^2)/Total_energy;

% ռֵ
m_ratio_energy_DiaTotal=sum(pcg_signal((assigned_states==4)).^2)/Total_energy;

% ռֵ
S1_energy=sum(pcg_signal((assigned_states==1)).^2);
S2_energy=sum(pcg_signal((assigned_states==3)).^2);
m_ratio_energy_HsTotal=(S1_energy+S2_energy)/Total_energy;

%%
indx = find(abs(diff(assigned_states))>0); % find the locations with changed states
if assigned_states(1)>0   % for some recordings, there are state zeros at the beginning of assigned_states
    switch assigned_states(1)
        case 4
            K=1;
        case 3
            K=2;
        case 2
            K=3;
        case 1
            K=4;
    end
else
    switch assigned_states(indx(1)+1)
        case 4
            K=1;
        case 3
            K=2;
        case 2
            K=3;
        case 1
            K=0;
    end
    K=K+1;
end

indx2                = indx(K:end);
rem                  = mod(length(indx2),4);
indx2(end-rem+1:end) = [];
A                    = reshape(indx2,4,length(indx2)/4)'; % A is N*4 matrix, the 4 columns save the beginnings of S1, systole, S2 and diastole in the same heart cycle respectively
%%

for i=1:size(A,1)-1
    signal_Sys=pcg_signal(A(i,2):A(i,3),1);
    signal_Dia=pcg_signal(A(i,4):A(i+1,1),1);
    signal_S1=pcg_signal(A(i,1):A(i,2),1);
    signal_S2=pcg_signal(A(i,3):A(i,4),1);
    signal_Cycle=pcg_signal(A(i,1):A(i+1,1),1);
    
    ratio_energy_SysTotal(i)=sum(signal_Sys.^2)/sum(signal_Cycle.^2);
    ratio_energy_DiaTotal(i)=sum(signal_Dia.^2)/sum(signal_Cycle.^2);
    ratio_energy_HsTotal(i)=(sum(signal_S1.^2)+sum(signal_S2.^2))/sum(signal_Cycle.^2);
    clear signal_Sys signal_Dia signal_S1 signal_S2 signal_Cycle;
end

sd_energy_SysTotal=std(ratio_energy_SysTotal);
sd_energy_DiaTotal=std(ratio_energy_DiaTotal);
sd_energy_HsTotal=std(ratio_energy_HsTotal);

featuresEnergy=[m_ratio_energy_SysTotal sd_energy_SysTotal ...
                m_ratio_energy_DiaTotal sd_energy_DiaTotal ...
                m_ratio_energy_HsTotal  sd_energy_HsTotal];
            

