function features=extractFeaturesFromTimeVaryingHeartRate(signal,Fs)
% йסйסй
%

Lw=round(3*Fs);  % Length of sliding windown, in samples
step=round(0.5*Fs); % sliding step in samples

if length(signal)<Lw+step
   [heartRate, systolicTimeInterval] = getHeartRateSchmidt(signal, Fs, 0);
   cycleDuration=60/heartRate;
   diasystolicTimeInterval=cycleDuration-systolicTimeInterval;
   ind=[1; length(signal)];
   heartRate=[heartRate; heartRate];
   systolicTimeInterval=[systolicTimeInterval;systolicTimeInterval];
   diasystolicTimeInterval=[diasystolicTimeInterval;diasystolicTimeInterval];
else
    ind=Lw:step:length(signal);
    for k=1:length(ind)
        tx=signal(ind(k)-Lw+1:ind(k));
        if sum(tx.^2)/sum(signal.^2)<0.05*Lw/length(signal)   % tx is a flat line
            heartRate(k,1)=0;systolicTimeInterval(k,1)=0;
            diasystolicTimeInterval(k,1)=0;
        else
            [heartRate(k,1), systolicTimeInterval(k,1)] = getHeartRateSchmidt(tx, Fs, 0);
            cycleDuration=60/heartRate(k,1);
            diasystolicTimeInterval(k,1)=cycleDuration-systolicTimeInterval(k,1);
        end
    end
    ind=[1; ind'];
    heartRate=[heartRate(1);heartRate];
    systolicTimeInterval=[systolicTimeInterval(1);systolicTimeInterval];
   diasystolicTimeInterval=[diasystolicTimeInterval(1);diasystolicTimeInterval];
end

%0Щֵƽֵ
heartRate(heartRate==0)=mean(heartRate);
systolicTimeInterval(systolicTimeInterval==0)=mean(systolicTimeInterval);
diasystolicTimeInterval(diasystolicTimeInterval==0)=mean(diasystolicTimeInterval);
    
%Ըвֵõȼ
uFs=2;  % unit in Hz
Interval=round(Fs/uFs);
interp_ind=1:Interval:length(signal); %ȼ
if interp_ind(end)<length(signal)
    interp_ind=[interp_ind length(signal)];
end

uniform_sampled_heartRate=interp1(ind,heartRate,interp_ind,'pchip');
uniform_sampled_cyclePeriod=60./uniform_sampled_heartRate;
uniform_sampled_systolicTimeInterval=interp1(ind,systolicTimeInterval,interp_ind,'pchip');
uniform_sampled_diasystolicTimeInterval=interp1(ind,diasystolicTimeInterval,interp_ind,'pchip');

nfft=40;
spectrum_cyclePeriod=abs(fft(uniform_sampled_cyclePeriod,nfft));
spectrum_systolicTimeInterval=abs(fft(uniform_sampled_systolicTimeInterval,nfft));
spectrum_diasystolicTimeInterval=abs(fft(uniform_sampled_diasystolicTimeInterval,nfft));

features=[mean(uniform_sampled_cyclePeriod)  std(uniform_sampled_cyclePeriod) ...
    spectrum_cyclePeriod(2:nfft/2) spectrum_systolicTimeInterval(2:nfft/2) ...
          spectrum_diasystolicTimeInterval(2:nfft/2)];



