#! /bin/bash

set -e
set -o pipefail

RECORD=$1
echo $RECORD
# Matlab
matlab -nodisplay -nodisplay -nosplash -r \
        " x = run_feature('$RECORD'); \
	x = reshape(x,length(x),1);\
         f=fopen('feature.txt','w');fprintf(f,'%f \n',x); quit"

# Python for prediction
#python -c \
RESULT=`python -c 'from neural_heart_challenge import prediction; \
print prediction()'`
echo $RESULT

# write results to txt file
matlab -nodisplay -nodisplay -nosplash -r \
	"f=fopen('answers.txt','a'); fprintf(f,'$RECORD,$RESULT\n'); fclose(f);\
	quit"


